package population;

import java.util.ArrayList;
import java.util.List;

public class Population {
	private int generation;
	private double sumFitness;
	private List<Individual> individuals;
	
	public Population() {
		generation = 0;
		individuals = new ArrayList<>();
	}
	
	public Population(int generation) {
		this.generation = generation;
		individuals = new ArrayList<>();
	}
	
	public Population(List<Individual> individuals) {
		generation = 0;
		this.individuals = individuals;
	}
	
	public Population(int generation, List<Individual> individuals) {
		this.generation = generation;
		this.individuals = individuals;
	}

	public int getGeneration() {
		return generation;
	}

	public void setGeneration(int generation) {
		this.generation = generation;
	}

	public List<Individual> getIndividuals() {
		return individuals;
	}

	public void setIndividuals(List<Individual> individuals) {
		this.individuals = individuals;
	}

	public double getSumFitness() {
		return sumFitness;
	}

	public void setSumFitness(double sumFitness) {
		this.sumFitness = sumFitness;
	}
	
	
}
