package utils;

import java.util.HashSet;

public class MultiThreaded {

    public static HashSet<Task> tasks = new HashSet<Task>();

    public static class Task extends Thread {
        public boolean running;
        public void run(){  
            return;
        }  
    }

    public static void startTask(Task task) {
        task.start();
        tasks.add(task);
    }

    public static Task getTask(int id) {

        for(Task task : tasks){
            if(task.getId() == id)
                return task;
        }

        return null;
    }

    public static boolean processing() {

        boolean processing = false;

        for(Task task: tasks){
            if(task.isAlive())
                processing = true;
        }

        return processing;
    }
}