package population;

public class MathFunc_Individual implements Individual, Comparable<Individual> {
	private String genome;
	private double fitness;
	
	public MathFunc_Individual(String genome) throws Exception {
		if (!genome.matches("[0-1]+")) {
			throw new Exception();
		}
		this.genome = genome;
	}
	
	@Override
	public String getGenome() {
		return genome;
	}

	@Override
	public void setFitness(double fitness) {
		this.fitness = fitness;
	}

	@Override
	public double getFitness() {
		return fitness;
	}

	@Override
	public int compareTo(Individual i) {
		double compareFitness = i.getFitness();

		//ascending order
		int comp = 1;
		if (!(this.fitness == compareFitness))
			comp = (int)((this.fitness - compareFitness)*100);
		return comp;
	}

}
